# WordPress Widget Boilerplate

The WordPress Widget Boilerplate serves as a foundation off of which to build your WordPress widgets. 

## Features

* The Widget Boilerplate is fully-based on the WordPress [Widget API](http://codex.wordpress.org/Widgets_API)
* Uses [PHPDoc](http://en.wikipedia.org/wiki/PHPDoc) conventions for easily following the code
* Liberal use of `TODO` to guide you through what you need to change
* Uses a strict file organization scheme to make sure the assets are easily maintainable

## Usage

The WordPress Widget Boilerplate is ready to activate as-is (though it includes no real functionality).

1. Copy the `widget-boilerplate` directory into your `wp-content/plugins` directory
2. Navigate to the "Plugins" dashboard page
3. Locate the menu item that reads "TODO"
4. Click on "Activate"

This will activate the WordPress Widget Boilerplate. Because the Boilerplate has no real functionality, nothing will be added to WordPress; however, this demonstrates exactly how your widget should behave as you're working with it.


## License

The WordPress Widget Boilerplate is licensed under the GPL v2 or later.

> This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License, version 2, as 
published by the Free Software Foundation.

> This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

> You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

## Changelog

### 1.0 (29 November 2012)

* Official Release

## Author Information

The WordPress Widget Boilerplate was originally started and is maintained by [Tom McFarlin](http://twitter.com/tommcfarlin/). 

The project is open-source and receives contributions from awesome WordPress Developers throughout the world.
